Package org.bukkit.block.data.type

# Interface Lantern

All Superinterfaces:
  `BlockData`, `Cloneable`, `Waterlogged`

public interface Lantern extends Waterlogged
'hanging' denotes whether the lantern is hanging from a block.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isHanging()`
Gets the value of the 'hanging' property.
`void`
`setHanging(boolean hanging)`
Sets the value of the 'hanging' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`

## Method Details

### isHanging

boolean isHanging()
Gets the value of the 'hanging' property.

Returns:
  the 'hanging' value

### setHanging

void setHanging(boolean hanging)
Sets the value of the 'hanging' property.

Parameters:
  `hanging` - the new 'hanging' value